/* $Id: info.c,v 1.4 92/10/09 21:12:23 tf Exp $ */

/*--------------------------------------------------------------------------*

  info.c  (c) Copyright 1991,92 Tobias Ferber.  All Rights Reserved.

  This file is part of DCMP. It contains the texts for the information
  requesters. At the end of each passage there are the two possible
  answers to this text.  The first one will appear on the left hand
  side of the requester, the second one on the right.
  If you want to add your language please note that you MUST scan the files
  dcmp.c, data.c, td_support.c and menus.c as well!

 *--------------------------------------------------------------------------*/

/*const*/ char *info_msg[4][]= {

/*--------------------------------------------------------------------------*
                             **  E N G L I S H **

  If you like to translate from English into your language then please cut
  off the the following block and translate it.  Doing it this way will
  prevent you from making mistakes or forgetting something...
  Please cut off this text also and translate it as well.  Maybe somebody
  else likes to translate from your language into his own!

 *------------------------------- COPYRIGHT --------------------------------*/
{
"This version of DCMP is ShareWare!\n"
"\n"
"DCMP (Disc CoMPare) was written to check the reliability   Tobias Ferber\n"
"of a Video Backup System. This version of DCMP is freely   Bismarckstrae 22\n"
"distributable. A commercial release is NOT available yet.  W-7570 Baden-Baden\n"
"Nevertheless  I would be happy ;) to  receive a postcard\n"
"of your hometown  (No matter if you like DCMP or not...)\n"
"\n"
"Since October '90, I've been studying Computer Science at the University of\n"
"Karlsruhe, FRG.  You can reach me there via E-Mail on the good old IBM 3090:\n"
"\n"
"  Earn:      ukjg@dkauni2.bitnet\n"
"  X.400:     ukjg@ibm3090.rz.uni-karlsruhe.dbp.de\n"
"             s=ukjg;ou=ibm3090;ou=rz;p=uni-karlsruhe;a=dbp;c=de\n"
"  InterNet:  ukjg@ibm3090.rz.uni-karlsruhe.de"
,"","Well", /* positive and negative answer to this text */

/*------------------------------ DISTRIBUTION ------------------------------*/

" This version of DCMP is NOT IN THE PUBLIC DOMAIN.  It is however freely\n"
" distributable as long as the following is observed:\n"
"\n"
" - The program and documentation must be distributed together and may not\n"
"   be modified  in any way.  The only exception  is that the program  and\n"
"   documentation may be compressed into an archive for uploading to Bulletin\n"
"   Boards or for other electronic transmission.\n"
"\n"
" - The program is not to be used commercially  or included into a commercial\n"
"   package for profit unless written authorisation from me is obtained first.\n"
"   This version of DCMP may be freely included on public domain library\n"
"   disks or compilation disks provided that only a small fee is charged for\n"
"   the service."
,"","I see",

/*----------------------------- CREDITS/IDEAS ------------------------------*/

"The idea for this program had Harald Kunze.  He also was the beta tester\n"
"(thanks !).\n\n"
"I'd also want to mention Angela's Disk-Monitor `DisKey' here.  It is\n"
"very nice but it can't compare 2 disks...  (See Credits/Support)"
,"","Fine",

/*--------------------------- CREDITS/LIBRARIES ----------------------------*/

"DCMP supports both, Req.library and ReqTools.library.\n"
"\n"
"Req.library is copyright 1989 Colin Fox (Pyramyd Designs) and Bruce\n"
"Dawson (of CygnusSoft Software).\n"
"\n"
"ReqTools.library was written by Nico Franois. It is\n"
"Copyright  Nico Franois, Corbielaan 13, B-3060 Bertem, BELGIUM."
,"","Done",

/*---------------------------- CREDITS/COMPILER ----------------------------*/

"DCMP was written with Matt Dillon's superb C-Compiler DICE.\n"
"\n"
"DICE is copyright (c)1990 by Matthew Dillon\n"
"                             891 Regal Rd.\n"
"                             Berkeley, Ca. 94708\n"
"                             USA\n"
"\n"
"                             dillon@overload.Berkeley.CA.US\n"
"                             uunet.uu.net!overload!dillon\n"
"\n"
"                             BIX: mdillon"
,"","Wow!",

/*---------------------------- CREDITS/SUPPORT -----------------------------*/

"I strongly recommend using a disk-monitor to examine the results of DCMP.\n"
"We are using DisKey Professional V2.1 by\n"
"\n"
"Angela Schmidt, Finkenweg 26, D-7910 Neu-Ulm 8, Tel.: 0731/712316\n"
"\n"
"DisKey Professional costs DM 39,90 and can be purchased either directly\n"
"from the author (Angela) or at Firma Herrmanns, Tel. 02151/399833\n"
"\n"
"The menu strip was created with PowerSource V3.0 which is (c) Copyright\n"
"1990-91 by Jaba Development, written by Jan van den Baard."
,"","Got it",

/*---------------------------- CREDITS/LANGUAGE ----------------------------*/

"I've translated the english text myself. (I hope there arn't too many\n"
"mistakes)  If your native language is not supported yet, you can translate\n"
"DCMP and the related documents.  Contact me with the material and I'll\n"
"prepare a distribution..."
,"", "Resume",

/*-------------------------- CREDITS/BETA TESTING --------------------------*/

"                                         Harald Kunze\n"
"The beta testing was done by:            Nuitsstrae 29\n"
"Feel free to send whatever you like.     W-7500 Karlsruhe 21"
,"","Blubb",

/*-------------------------------- VERSIONS --------------------------------*/

"DCMP has not been published yet!\n\n"
"ALL THIS IS HIGHLY EXPERIMENTAL !!! TAKE GREAT CARE !!!"
,"","Resume"

},

/*--------------------------------------------------------------------------*
                             **  D E U T S C H  **

  Wenn Sie die Texte aus dem Deutschen in Ihre Sprache bersetzen wollen,
  empfiehlt es sich, den folgenden Block auszuschneiden und diesen dann
  zu bersetzen.  So laufen Sie nicht Gefahr, etwas zu vergessen...
  Bitte schneiden Sie dann diesen Teil mit aus und bersetzen Sie ihn mit!
  Vielleicht mchte auch jemand aus Ihrer Sprache in seine eigene bersetzen!

 *------------------------------- COPYRIGHT --------------------------------*/
{
"Diese Version von DCMP ist Shareware!\n"
"\n"
"DCMP (Disk CoMPare) habe ich geschrieben, um meine      Tobias Ferber\n"
"Video-Backup's  zu berprfen.  DCMP ist in dieser      Bismarckstrae 22\n"
"Version  frei  kopierbar,  eine kommerzielle  Ver-      W-7570 Baden-Baden\n"
"ffentlichung ist (noch) nicht geplant.                 (07221) 28251\n"
"Dennoch (oder gerade deshalb) wrde ich  mich ber\n"
"eine  Postkarte von Ihnen freuen,  am besten  eine\n"
"mit einem Bild der Stadt, aus der Sie kommen.\n"
"(Ganz egal ob Ihnen DCMP gefllt oder nicht...)\n"
"\n"
"Seit Oktober '90 studiere ich Informatik an der TU Karlsruhe und habe dort\n"
"auch eine E-Mail Adresse auf der guten, alten IBM 3090 (DKAUNI2):\n"
"\n"
"  Earn:      ukjg@dkauni2.bitnet\n"
"  X.400:     ukjg@ibm3090.rz.uni-karlsruhe.dbp.de\n"
"             s=ukjg;ou=ibm3090;ou=rz;p=uni-karlsruhe;a=dbp;c=de\n"
"  InterNet:  ukjg@ibm3090.rz.uni-karlsruhe.de"
,"","Okay",

/*------------------------------ DISTRIBUTION ------------------------------*/

" Diese Version von DCMP ist NICHT PUBLIC DOMAIN.  Trotzdem ist sie frei\n"
" kopierbar, solange folgende Punkte beachtet werden:\n"
"\n"
" - Das Programm und die .doc Files mssen auf jeden Fall zusammen  bleiben\n"
"   und drfen in keinerlei Hinsicht verndert werden. Die einzige Ausnahme\n"
"   ist das Einpacken in ein Archivfile (mit LhArc oder so) um DCMP  besser\n"
"   verschicken zu knnen.\n"
"\n"
" - Das Programm darf unter keinen Umstnden kommerziell genutzt - oder in\n"
"   ein Profit bringendes Programmpaket integriert werden -,  solange keine\n"
"   schriftliche Erlaubnis von mir vorliegt.\n"
"   DCMP darf auch in Public Domain Libraries oder auf Compilation Disks\n"
"   nur dann vertrieben werden, wenn fr diese nur eine geringe Kopiergebhr\n"
"   verlangt wird."
,"","Ist klar",

/*----------------------------- CREDITS/IDEAS ------------------------------*/

"Die Idee zu diesem Programm hatten Harald Kunze und ich. Der Harald\n"
"war auch Beta-Tester (hier meinen herzlichen Dank!)\n"
"\n"
"Ich mchte nicht unerwhnt lassen, da DCMP nicht zuletzt deswegen\n"
"entstanden ist, weil Angela Schmidt den tollen Disk-Monitor DisKey\n"
"geschrieben hat, der alles kann (auer zwei Disketten vergleichen)\n"
"DisKey  gibt's auch als ShareWare,  die Professional Version  (ich\n"
"habe V2.1) kostet 39.90 DM und ist entweder direkt bei der Autorin\n"
"\n"
"Angela Schmidt, Finkenweg 26, D-7910 Neu-Ulm 8, (0731)712316\n"
"\n"
"oder bei der Firma Herrmanns, Tel.: 02151/399833 erhltlich."
,"","Fertig",

/*--------------------------- CREDITS/LIBRARIES ----------------------------*/

"DCMP untersttzt sowohl die ReqTools.library als auch die Req.library.\n"
"\n"
"Die Req.library stammt von Colin Fox (Pyramid Designs) und Bruce Dawson\n"
"von CygnusSoft Software und ist Copyright 1989.\n"
"\n"
"Die ReqTools.library wurde von Nico Franois geschrieben.  Sie ist\n"
"Copyright  Nico Franois, Corbielaan 13, B-3060 Bertem, BELGIUM."
,"","Was sind Laibaries?",

/*---------------------------- CREDITS/COMPILER ----------------------------*/

"Ich habe DCMP mit Matt Dillon's tollem C-Compiler DICE geschrieben.\n"
"\n"
"DICE ist copyright (c)1990 by Matthew Dillon\n"
"                              891 Regal Rd.\n"
"                              Berkeley, Ca. 94708\n"
"                              USA\n"
"\n"
"                              dillon@overload.Berkeley.CA.US\n"
"                              uunet.uu.net!overload!dillon\n"
"\n"
"                              BIX: mdillon"
,"", "Dankeschn",

/*---------------------------- CREDITS/SUPPORT -----------------------------*/

"Die Mens von DCMP wurden mit PowerSource V3.0 erstellt.  PowerSource\n"
"ist (c) Copyright 1990-91 by Jaba Development und wurde von Jan van den\n"
"Baard geschrieben."
,"", "Und weg",

/*---------------------------- CREDITS/LANGUAGE ----------------------------*/

"Die deutschen Texte stammen von mir selbst.  Wenn Ihre Sprache\n"
"noch nicht untersttzt ist, dann knnen Sie die Texte gerne in\n"
"Ihre Sprache bersetzen!  Ich bernehme diese Texte aber nur,\n"
"wenn damit kein Profit gemacht wird!\n"
"\n"
"Tobias Ferber, Bismarckstrae 22, W-7570 Baden-Baden"
,"", "Klick",

/*-------------------------- CREDITS/BETA TESTING --------------------------*/

"Wenn DCMP noch Fehler hat, ist nur einer   Harald Kunze\n"
"schuld, nmlich:                           Nuitsstrae 29\n"
"                                           W-7500 Karlsruhe 21\n"
"\n"
"Es ist auch in seinem Fall nicht ntig mit Geschenken zu geizen..."
,"","Blubb",

/*-------------------------------- VERSIONS --------------------------------*/

"DCMP wurde bislang noch nicht verffentlicht!\n\n"
"ALL THIS IS HIGHLY EXPERIMENTAL !!! TAKE GREAT CARE !!!"
,"","mach' ich"

},

/*--------------------------------------------------------------------------*
                           **  F R A N  A I S  **

  Si vous voulez traduire les textes de l' allemand dans votre langue
  marquez le bloc suivant et traduisez-le.  Ainsi vous ne risquez pas
  d'oublier quelque chose...  Ensuite coupez ce bloc-ci avec les
  textes suivants et traduisez-le aussi!   Possiblement, quelqu'un
  d'autre veut traduire de votre langue dans sa propre langue.

 *------------------------------- COPYRIGHT --------------------------------*/
{
"Cette version de DCMP est Shareware!\n"
"\n"
"DCMP (Disk CoMPare) a t  crit pour vrifir    Tobias Ferber\n"
"Video-Backup's.  Il est admis de le multiplier    Bismarckstrae 22\n"
"librement,  une version commercielle n'est pas    W-7570 Baden-Baden\n"
"prvue.  Pourtant  je serais  ravi de reevoir    (07221) 28251\n"
"une carte postale de vous avec une photogaphie\n"
"de votre ville.  (Si DCMP vous plat ou pas.)\n"
"\n"
"Depuis octobre '90 je fais des tudes en informatique  l'universit\n"
"technique de  Karlsruhe et j'y ais une adresse E-Mail sur la bonne\n"
"vieille IBM 3090 (DKAUNI2)\n"
"\n"
"  Earn:      ukjg@dkauni2.bitnet\n"
"  X.400:     ukjg@ibm3090.rz.uni-karlsruhe.dbp.de\n"
"             s=ukjg;ou=ibm3090;ou=rz;p=uni-karlsruhe;a=dbp;c=de\n"
"  InterNet:  ukjg@ibm3090.rz.uni-karlsruhe.de"
,"","Voil",

/*------------------------------ DISTRIBUTION ------------------------------*/

" Cette version de DCMP n'est PAS PUBLIC DOMAIN.  Tant pis elle est \n"
" copier librment, si vous payez attention aux points suivants:\n"
"\n"
" - Le programme et les .doc files doivent rester ensemble et il n'est pas\n"
"   admis de les changer dans quelque sens.  Sa seule exception est de les\n"
"   comprimer dans un archive (avec LhArc etc) pour mieux les transmettre.\n"
"\n"
" - Il n'est absolument pas admis d'user ce programme commerciellement\n"
"   ou de l'intgrer dans un programme commerciel, s'il n'y a pas\n"
"   d'admission en crit de moi.  Il est possible de publier DCMP aux\n"
"   librairies pour usage public,  si vous ne chargez qu'une sommme\n"
"   ngligable."
,"","Compris",

/*----------------------------- CREDITS/IDEAS ------------------------------*/

"Ce programme tait une idee de Harald Kunze et moi.\n"
"Harald a aussi t -testeur. (merci!)"
,"","et alors?",

/*--------------------------- CREDITS/LIBRARIES ----------------------------*/

"DCMP soutient aussi bien ReqTools.library que Req.library.\n"
"\n"
"Req.library tait programm par Colin Fox (Pyramid Designs) et\n"
"Bruce Dawson de CygnusSoft Software) et est protge par Copyright en 1989.\n"
"\n"
"ReqTools.library a t programme par Nico Franois et est protge par\n"
"Copyright  Nico Franois, Corbielaan 13, B-3060 Bertem, BELGIUM."
,"","Continuer",

/*---------------------------- CREDITS/COMPILER ----------------------------*/

"J'ai programm DCMP avec Matt Dillon's tollem C-Compiler DICE.\n"
"\n"
"DICE est protge par Copyright (c)1990 by Matthew Dillon\n"
"                                           891 Regal Rd.\n"
"                                           Berkeley, Ca. 94708\n"
"                                           USA\n"
"\n"
"                                           dillon@overload.Berkeley.CA.US\n"
"                                           uunet.uu.net!overload!dillon\n"
"\n"
"                                           BIX: mdillon"
,"", "Merci bien",

/*---------------------------- CREDITS/SUPPORT -----------------------------*/

"Pour utiliser DCMP correctement nous recommondons un Disk Monitor.\n"
"J'utilise DisKey Professional V2.1 de\n"
"\n"
"Angela Schmidt, Finkenweg 26, D-7910 Neu-Ulm 8, Tel.: 0731/712316\n"
"\n"
"DisKey Professional coute 39,90 DM et est  commander chez l'auteur\n"
"(Angela) ou chez l'entreprise Herrmanns, Tel. 02151/399833.\n"
"\n"
"Les Menues DCMP ont t crs avec PowerSource V3.0.  PowerSource\n"
"est protge par (c) Copyright 1990-91 by Jaba Development et a t\n"
"par Jan van den Baard."
,"", " suivre",

/*---------------------------- CREDITS/LANGUAGE ----------------------------*/

"La crime de traduire ces textes en     Michael Martinez-Ferber\n"
"franais a t commise par             Werderstrae 19,\n"
"                                       W-7570 Baden-Baden\n"
"\n"
"S'il y a des fautes,adressez-vous  l'auteur s'il vous plat!\n"
"La raison pour toutes les fautes est le whiskey Jack Daniels\n"
"on the rocks (pressed not crushed) dont j'ai remplis toute la\n"
"bouteille en train de cette traduction...\n"
"Maintenant vous savez ce que vous devez m'envoyer!"
,"", "Momberle",

/*-------------------------- CREDITS/BETA TESTING --------------------------*/

"Si DCMP contient encore des fautes, il n'y a   Harald Kunze\n"
"qu'un responsable:                             Nuitsstrae 29\n"
"                                               W-7500 Karlsruhe 21\n"
"\n"
"Dans son cas, ne l'envoyez pas de Jacky!"
,"","Blubb",

/*-------------------------------- VERSIONS --------------------------------*/

"Cette version de DCMP n'a pas t publi\n\n"
"ALL THIS IS HIGHLY EXPERIMENTAL !!! TAKE GREAT CARE !!!"
,"","a alors"

},

/*--------------------------------------------------------------------------*
                           **  I T A L I A N O  **

  Se intendete di tradurre il programma nella Vostra lingua, per favore
  tagliate il blocco seguente e traducetelo. In questo modo si evita di 
  sbagliare e di dimenticare qualche cosa... 
  Per favore tagliate anche questo testo per tradurlo. Forse c' qualcuno che
  vorebbe tradurlo dalla Sua lingua in un altra.  

 *------------------------------- COPYRIGHT --------------------------------*/
{
"Questa versione di DCMP  ShareWare!\n"
"\n"
"DCMP (Disc CoMPare)   stato scritto per  poter       Tobias Ferber\n"
"esaminare  l'attendibilit di  un Video  Backup       Bismarckstrae 22\n"
"System.  Questa versione pu essere distribuita       W-7570 Baden-Baden\n"
"liberamente.  Non  ancora prevista una pubbli-       (07221) 28251\n"
"cazione  commerciale.  Cinonostante mi farebbe\n"
"piacere di ricevere una cartolina dalla  Vostra\n"
"citt (non importa se DCMP  piaciuto  meno...)\n"
"\n"
"Dal ottobre 1990 sto studiando Scienza Informatica all'Universit di\n"
"Karlsruhe, RFT. L posso ricevere messaggi via E-Mail sulla solita\n"
"brava IBM 3090.\n"
"\n"
"  Earn:      ukjg@dkauni2.bitnet\n"
"  X.400:     ukjg@ibm3090.rz.uni-karlsruhe.dbp.de\n"
"             s=ukjg;ou=ibm3090;ou=rz;p=uni-karlsruhe;a=dbp;c=de\n"
"  InterNet:  ukjg@ibm3090.rz.uni-karlsruhe.de"
,"","Va bene cos",

/*------------------------------ DISTRIBUTION ------------------------------*/

"Questa versione di DCMP NON  NEL PUBLIC DOMAIN. Communque pu essere\n"
"distribuito liberamente se saranno rispettati i seguenti punti:\n"
"\n"
"- Il programma e la documentazione devono assolutamente essere\n"
"  distribuiti assieme e non devono essere modificati in nessun modo.\n"
"  L'unica eccezione sarebbe la compressione del prgramma e della\n"
"  documentazione in un archivio (con LhArch per esempio ...) per\n"
"  poterlo spedire meglio.\n"
"\n"
"- Il programma non deve essere ne usato per motivi commercali ne\n"
"  incorporato in un pacchetto commerciale senza il mio consenso per\n"
"  iscritto. Questa versione di DCMP pu essere integrata in public\n"
"  domain library disks solamente se la tariffa  minima."
,"","Ho capito!",


/*----------------------------- CREDITS/IDEAS ------------------------------*/

"L'idea per questo programma  di Harald Kunze. Lui faceva anche il\n"
"beta tester. (Grazie mille!)\n"
"Vorrei ancora menzionare il Disk-Monitor 'DisKey' di Angela.  stata\n"
"molto brava, ma il programma purtroppo non pu paragonare 2 disks...\n"
"(v. Credits/Supports)"
,"","Va bene",

/*--------------------------- CREDITS/LIBRARIES ----------------------------*/

"DCMP sostiene tutti e due, Req.library e ReqTools.library.\n"
"\n"
"Req.library ha copyright 1989 Colin Fox (Pyramid Designs) e\n"
"Bruce Dawson (di CygnusSoft Software).\n"
"\n"
"ReqTools.library  stato scritto da Nico Franois.   sotto\n"
"Copyright  Nico Franois, Corbielaan 13, B/3060 Berten, BELGIUM."
,"","Tutto fatto",


/*---------------------------- CREDITS/COMPILER ----------------------------*/

"DCMP  stato scritto con lo straordinario C-Compiler DICE di Matt Dillon.\n"
"\n"
"Il copyright di DICE  (c)1990 di Matthew Dillon\n"
"                                  891 Regal Rd.\n"
"                                  Berkeley, Ca. 94708\n"
"                                  USA\n"
"\n"
"                                  dillon@overload.Berkeley.CA.US\n"
"                                  uunet.uu.net!overload!dillon\n"
"\n"
"                                  BIX: mdillon"
,"","Bello!",

/*---------------------------- CREDITS/SUPPORT -----------------------------*/

"Vi raccommando di usare un disk-monitor per poter esaminare i risultati\n"
"di DCMP.  Noi usiamo DisKey Professional V2.1 di\n"
"\n"
"Angela Schmidt, Finkenweg 26, D-7910 Neu-Ulm 8, Tel.: 0731/712316\n"
"\n"
"DisKey Professional costa DM 39,90 e pu essere acquistato o direttamente\n"
"dall'autrice (Angela) o dalla ditta Herrmanns, Tel. 02151/399833\n"
"\n"
"Il menu strip  stato creato con PowerSource V3.0, il quale  sotto\n"
"(c) Copyright 1990/91 by Jaba Development, scritto da Jan van den Baard."
,"","vvero!",

/*---------------------------- CREDITS/LANGUAGE ----------------------------*/

"La povera che doveva tradurre  tutto questo nella lingua italiana,\n"
"purtroppo  una tedesca.  Se ci sono troppi sbagli, rivolgeteVi al\n"
"autore del programma  e ditelo  di procurarsi una traduttrice  pi\n"
"capace...\n"
"Se avete voglia, potreste anche mandarmi una cartolina con l'elenco\n"
"degli sbagli, forse anche con indicazioni,  come ricevere programmi\n"
"nella versione italiana - per imparare un p di pi:\n\n"
"Ursula Khn, Lange Strae 37, W-7570 Baden-Baden, Germania\n"
"\n"
"Se avete voglia di tradurre DCMP e i documenti relativi nella Vostra\n"
"madrelingua (se non c' ancora la versione), fatelo e procuratemi  i\n"
"risultati. Della distribuzione mi occupo io:\n"
"\n"
"Tobias Ferber, Bismarckstrae 22, W-7570 Baden-Baden, Germania"
,"","D'accordo?",

/*-------------------------- CREDITS/BETA TESTING --------------------------*/


"Il beta testing  stato fatto da:              Harald Kunze\n"
"(Se non funziona niente e tutto colpa di:)     Nuitsstrae 29\n"
"                                               W-7500 Karlsruhe 21\n"
"\n"
"Mandatemi tutto quello, che Vi piace..."
,"","Blubb",

/*-------------------------------- VERSIONS --------------------------------*/

"DCMP non  ancora stato pubblicato.\n"
"\n"
" ANCORA TUTTO NELLO STADIO SPERIMENTALE!! STIATE ATTENTI!!!\n"
,"","In somma..."

}

/*--------------------------------------------------------------------------*
                            **  E S P A  O L  **

  Si Vd. quiere traducir los textos de aleman en su lengua, tienen que
  electar el bloque siguiente <fuck it>

 *--------------------------------------------------------------------------*
                              **  A S Y L  **

  Wen sie das Text wolln ibernhmen ausm Asyl dann machen so:
  Machstdast beschneidst das folgendes und zu ibersetzten die.
  Bitteschn zu nhmen diese Teil mit.
 *--------------------------------------------------------------------------*/


/* !!! INSERT BLOCK HERE !!! */

};
